package com.fs.store.service;

import lombok.Getter;
import org.springframework.stereotype.Service;

@Getter
public abstract class ExpressToWxService {

    private String orderCode;


    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public abstract String getTransactionId();


    public abstract String getUserPhone();


    public abstract String getOrderGoodsInfo();

    public abstract String getExpressCompany();
    public abstract String getExpressNo();

    public abstract boolean support(Integer type);
}
